using KlassenBIB;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace SanSystem
{
    /// <summary>
    /// 
    /// </summary>
    public partial class FrmSanKonzeptList : Form
    {
        List<Sanierungskonzept> sanierungskonzept;
        /// <summary>
        /// <paramref name="sanierungskonzept"/> 
        /// </summary>
        public FrmSanKonzeptList(List<Sanierungskonzept> sanierungskonzept)
        {
            InitializeComponent();

            this.sanierungskonzept = sanierungskonzept != null ? sanierungskonzept : new List<Sanierungskonzept>();
        }

        private void FrmSanKonzept_Load(object sender, EventArgs e)
        {
            lb_sans.DataSource = sanierungskonzept;
        }

        private void FrmSanKonzept_FormClosing(object sender, FormClosingEventArgs e)
        {
            
        }

        private void btn_san_add_Click(object sender, EventArgs e)
        {
            Sanierungskonzept sankonzept = new Sanierungskonzept();

            sanierungskonzept.Add(sankonzept);

            FrmReparaturKonzept frmReparaturKonzept = new FrmReparaturKonzept(sankonzept);
            frmReparaturKonzept.ShowDialog();
        }

        private void lb_sans_DoubleClick(object sender, EventArgs e)
        {
            //if ((sender as ListBox).SelectedItem == null) return;

            Sanierungskonzept konzept = (Sanierungskonzept)(sender as ListBox).SelectedItem;

            if (konzept == null) return;

            FrmReparaturKonzept frmReparaturKonzept = new FrmReparaturKonzept(konzept);
            frmReparaturKonzept.ShowDialog();

            //throw new Exception((sender as ListBox).SelectedItem.GetType().ToString());

        }
    }
}
